> For the complete documentation index, see [llms.txt](https://docs.misttrack.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.misttrack.io/api-endpoints/get-address-labels.md).

# Get Address Labels

Returns a list of labels for a given address.

#### HTTP Request

```shell
GET https://openapi.misttrack.io/v1/address_labels
   ?coin=ETH
   &address=0x8894E0a0c962CB723c1976a4421c95949bE2D4E3
   &api_key=YourApiKey
```

> Try this endpoint in your [browser](https://openapi.misttrack.io/v1/address_labels?coin=ETH\&address=0x8894E0a0c962CB723c1976a4421c95949bE2D4E3\&api_key=YourApiKey) 🔗

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table><thead><tr><th width="167.66666666666666">Parameter</th><th width="141">Type</th><th>Description</th></tr></thead><tbody><tr><td>coin</td><td>string</td><td>the coin to check for address labels, <strong>all optional values can be found</strong> <a href="/pages/4iOi28DV0NUUh4ETEpMx#multi-chain-support"><strong>here</strong></a></td></tr><tr><td>address</td><td>string</td><td>the address to check for address labels</td></tr><tr><td>api_key</td><td>string</td><td>your api key</td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

<table><thead><tr><th width="131.99609375">Field</th><th width="95.65625">Type</th><th>Description</th></tr></thead><tbody><tr><td>label_list</td><td>list</td><td><p>The address label data includes the following:<br></p><ul><li>entity name, eg: Coinbase, Binance</li><li>address label type, eg: deposit, hot, cold wallet</li><li>on-chain tags, eg: ENS name, MEV Bots, DeFi Whales</li><li>off-chain tags, eg: MetaMask Wallet User, Twitter handle</li></ul><p><a href="https://docs.google.com/document/d/1R77MToe09Mbz5nQAexjeNc_me3bGxaJaPP0wxsY9Xf0/edit?tab=t.0#heading=h.ajo97k55hwxk">More examples here.</a></p></td></tr><tr><td>label_type</td><td>string</td><td><p>Include following types:</p><p></p><ul><li><code>exchange</code>, it represents centralized exchanges, payment platforms, crypto asset custodians, and various centralized services.</li><li><code>defi</code>, it represents DeFi projects, cross-chain bridges.</li><li><code>mixer</code>, it means it is a coin mixer or an instant exchange platform that does not require KYC.</li><li><code>nft</code>, it represents NFT marketplace.</li><li>empty value, it represents an unclassified tag.</li></ul></td></tr></tbody></table>

Sample Response

```json
{
    "success": true, 
    "msg": "", 
    "data": {
        "label_list": [
            "Binance", 
            "hot"
        ], 
        "label_type": "exchange"
    }
}
```

{% endtab %}
{% endtabs %}

#### [Rate Limits](/openapi/overview.md#rate-limits)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.misttrack.io/api-endpoints/get-address-labels.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
